Bug 374081 - titlebar font appears to be drawn at the wrong dpi
titlebar font appears to be drawn at the wrong dpi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 18:21 EST by Daniel Brooks
Modified: 2009-01-09 02:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:23:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing 16pt font setting and the resulting titlebars (372.71 KB, image/png)
2007-11-09 18:21 EST, Daniel Brooks
no flags Details
xorg.conf (3.18 KB, text/plain)
2008-02-01 04:03 EST, Daniel Brooks
no flags Details
Xorg.0.log (26.57 KB, text/plain)
2008-02-01 04:06 EST, Daniel Brooks
no flags Details

  None (edit)
Description Daniel Brooks 2007-11-09 18:21:16 EST
I have to set the titlebar font size to 16pt in order for it to draw the same
sized text as the application font, which is set to 10pt. I'll attach a
screenshot showing the font settings and the resulting rendering.

This bug has been around since at least f7; I'd been meaning to get around to
filing it. I'm not entirely sure where the bug lies, but I'm using compiz so
I'll file it there. Feel free to move it to the correct component.

My display is running at 1920×1440 and 140 dpi.
Comment 1 Daniel Brooks 2007-11-09 18:21:17 EST
Created attachment 253711 [details]
screenshot showing 16pt font setting and the resulting titlebars
Comment 2 Fedora Update System 2007-12-06 15:54:29 EST
yum-updatesd-0.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-updatesd'
Comment 3 Fedora Update System 2007-12-20 14:52:24 EST
yum-updatesd-0.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-updatesd'
Comment 4 Fedora Update System 2007-12-28 12:19:03 EST
yum-updatesd-0.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Matěj Cepl 2008-01-31 10:01:48 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Daniel Brooks 2008-02-01 04:03:29 EST
Created attachment 293697 [details]
xorg.conf

Certainly. Here's my xorg.conf
Comment 7 Daniel Brooks 2008-02-01 04:06:40 EST
Created attachment 293698 [details]
Xorg.0.log

and the log file. I may not be able to test X without the conf file right away,
however.
Comment 8 Bug Zapper 2008-11-26 03:16:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:23:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.